// src/errors.ts
var TransactionDataTargetMalformedError = class extends Error {
  constructor(response) {
    super("Malformed transaction target data from the server");
    this.response = response;
  }
};
var TransactionDataErrorResponseError = class extends Error {
  constructor(response) {
    super("Non OK transaction data response from the server");
    this.response = response;
  }
};
var TransactionHandlerDidNotReturnTransactionIdError = class extends Error {
  constructor() {
    super("onTransaction() handler did not return a transaction id");
  }
};
var SignatureHandlerDidNotReturnTransactionIdError = class extends Error {
  constructor() {
    super("onSignature() handler did not return a transaction id");
  }
};
var CastActionUnexpectedResponseError = class extends Error {
  constructor() {
    super("Unexpected cast action response from the server");
  }
};
var ComposerActionUnexpectedResponseError = class extends Error {
  constructor() {
    super("Unexpected composer action response from the server");
  }
};

export {
  TransactionDataTargetMalformedError,
  TransactionDataErrorResponseError,
  TransactionHandlerDidNotReturnTransactionIdError,
  SignatureHandlerDidNotReturnTransactionIdError,
  CastActionUnexpectedResponseError,
  ComposerActionUnexpectedResponseError
};
