// src/helpers.ts
async function tryCallAsync(promiseFn) {
  try {
    return promiseFn().catch((e) => {
      if (e instanceof Error) {
        return e;
      }
      return new TypeError("Unexpected error, check the console for details");
    });
  } catch (e) {
    return new TypeError("Unexpected error, check the console for details");
  }
}
function tryCall(fn) {
  try {
    return fn();
  } catch (e) {
    if (e instanceof Error) {
      return e;
    }
    return new TypeError("Unexpected error, check the console for details");
  }
}
function isParseFramesWithReportsResult(value) {
  return typeof value === "object" && value !== null && "openframes" in value && "farcaster" in value;
}
function isParseResult(value) {
  return typeof value === "object" && value !== null && "status" in value && !("openframes" in value) && !("farcaster" in value);
}
function isPartialFrame(value) {
  return value.status === "failure" && !!value.frame.image && !!value.frame.buttons && value.frame.buttons.length > 0;
}

export {
  tryCallAsync,
  tryCall,
  isParseFramesWithReportsResult,
  isParseResult,
  isPartialFrame
};
