import { p as SignerStateInstance, F as FrameActionBodyPayload } from '../types-BvcGM4gO.js';
import { FarcasterFrameContext } from './types.js';
import 'frames.js';
import 'react';
import 'frames.js/frame-parsers';
import 'frames.js/types';

type FarcasterSignerState<TSignerType = FarcasterSigner | null> = SignerStateInstance<TSignerType, FrameActionBodyPayload, FarcasterFrameContext>;
type FarcasterSignerPendingApproval = {
    status: "pending_approval";
    deadline: number;
    privateKey: string;
    publicKey: string;
    requestFid: number;
    requestSigner: string;
    signature: string;
    signerApprovalUrl: string;
    token: string;
};
type FarcasterSignerImpersonating = {
    status: "impersonating";
    fid: number;
    privateKey: string;
    publicKey: string;
};
type FarcasterSignerApproved = {
    status: "approved";
    fid: number;
    privateKey: string;
    publicKey: string;
};
type FarcasterSigner = FarcasterSignerPendingApproval | FarcasterSignerImpersonating | FarcasterSignerApproved;
declare const mockFarcasterSigner: FarcasterSigner;

export { type FarcasterSigner, type FarcasterSignerApproved, type FarcasterSignerImpersonating, type FarcasterSignerPendingApproval, type FarcasterSignerState, mockFarcasterSigner };
