"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/helpers.ts
var helpers_exports = {};
__export(helpers_exports, {
  isParseFramesWithReportsResult: () => isParseFramesWithReportsResult,
  isParseResult: () => isParseResult,
  isPartialFrame: () => isPartialFrame,
  tryCall: () => tryCall,
  tryCallAsync: () => tryCallAsync
});
module.exports = __toCommonJS(helpers_exports);
async function tryCallAsync(promiseFn) {
  try {
    return promiseFn().catch((e) => {
      if (e instanceof Error) {
        return e;
      }
      return new TypeError("Unexpected error, check the console for details");
    });
  } catch (e) {
    return new TypeError("Unexpected error, check the console for details");
  }
}
function tryCall(fn) {
  try {
    return fn();
  } catch (e) {
    if (e instanceof Error) {
      return e;
    }
    return new TypeError("Unexpected error, check the console for details");
  }
}
function isParseFramesWithReportsResult(value) {
  return typeof value === "object" && value !== null && "openframes" in value && "farcaster" in value;
}
function isParseResult(value) {
  return typeof value === "object" && value !== null && "status" in value && !("openframes" in value) && !("farcaster" in value);
}
function isPartialFrame(value) {
  return value.status === "failure" && !!value.frame.image && !!value.frame.buttons && value.frame.buttons.length > 0;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  isParseFramesWithReportsResult,
  isParseResult,
  isPartialFrame,
  tryCall,
  tryCallAsync
});
