import { ParseFramesWithReportsResult, ParseResult } from 'frames.js/frame-parsers';
import { PartialFrame } from './ui/types.js';
import 'frames.js';
import 'react';
import './types-BvcGM4gO.js';
import 'frames.js/types';
import './unstable-types-yRnDPZyU.js';

declare function tryCallAsync<TResult>(promiseFn: () => Promise<TResult>): Promise<TResult | Error>;
declare function tryCall<TReturn>(fn: () => TReturn): TReturn | Error;
declare function isParseFramesWithReportsResult(value: unknown): value is ParseFramesWithReportsResult;
declare function isParseResult(value: unknown): value is ParseResult;
type ParseResultWithPartialFrame = Omit<Exclude<ParseResult, {
    status: "success";
}>, "frame"> & {
    frame: PartialFrame;
};
declare function isPartialFrame(value: ParseResult): value is ParseResultWithPartialFrame;

export { type ParseResultWithPartialFrame, isParseFramesWithReportsResult, isParseResult, isPartialFrame, tryCall, tryCallAsync };
