import "../chunk-6C3VEZWH.js";

// src/hooks/use-persisted-reducer.ts
import { useEffect, useRef, useState } from "react";
var unitializedState = Symbol("unitializedState");
function usePersistedReducer(reducer, initialState, loadInitialState, saveState) {
  const [state, setState] = useState(initialState);
  const latestStateRef = useRef(unitializedState);
  const loadInitialStateRef = useRef(loadInitialState);
  useEffect(() => {
    loadInitialStateRef.current().then((loadedInitialState) => {
      latestStateRef.current = loadedInitialState;
      setState(loadedInitialState);
    }).catch((e) => {
      console.error("@frames.js/render: Could not initialize state", e);
    });
  }, []);
  const dispatch = async (action) => {
    if (latestStateRef.current === unitializedState) {
      throw new Error(
        "@frames.js/render: Cannot dispatch action before state is initialized"
      );
    }
    latestStateRef.current = reducer(latestStateRef.current, action);
    await saveState(latestStateRef.current);
    setState(latestStateRef.current);
  };
  return [state, dispatch];
}
export {
  usePersistedReducer
};
