"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/hooks/use-visibility-detection.ts
var use_visibility_detection_exports = {};
__export(use_visibility_detection_exports, {
  useVisibilityDetection: () => useVisibilityDetection
});
module.exports = __toCommonJS(use_visibility_detection_exports);
var import_react = require("react");
function useVisibilityDetection() {
  const listenersRef = (0, import_react.useRef)([]);
  (0, import_react.useEffect)(() => {
    if (typeof document !== "undefined") {
      const handleVisibilityChange = () => {
        const isVisible = !document.hidden;
        listenersRef.current.forEach((fn) => {
          fn(isVisible);
        });
      };
      document.addEventListener("visibilitychange", handleVisibilityChange);
      return () => {
        document.removeEventListener(
          "visibilitychange",
          handleVisibilityChange
        );
      };
    }
  }, []);
  return (0, import_react.useMemo)(
    () => ({
      register(fn) {
        listenersRef.current.push(fn);
        return () => {
          listenersRef.current = listenersRef.current.filter(
            (listener) => listener !== fn
          );
        };
      }
    }),
    []
  );
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  useVisibilityDetection
});
