"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/identity/crypto.ts
var crypto_exports = {};
__export(crypto_exports, {
  convertKeypairToHex: () => convertKeypairToHex,
  createKeypairEDDSA: () => createKeypairEDDSA
});
module.exports = __toCommonJS(crypto_exports);
var import_ed25519 = require("@noble/ed25519");
function convertKeypairToHex({
  privateKeyBytes,
  publicKeyBytes
}) {
  return {
    publicKey: `0x${Buffer.from(publicKeyBytes).toString("hex")}`,
    privateKey: `0x${Buffer.from(privateKeyBytes).toString("hex")}`
  };
}
async function createKeypairEDDSA() {
  const privateKeyBytes = import_ed25519.utils.randomPrivateKey();
  const publicKeyBytes = await (0, import_ed25519.getPublicKeyAsync)(privateKeyBytes);
  return {
    privateKeyBytes,
    publicKeyBytes
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  convertKeypairToHex,
  createKeypairEDDSA
});
