import { Storage, StorageSetterFunction, StorageValueWatcher } from '../types.js';
import '../../hooks/use-visibility-detection.js';

declare class WebStorage implements Storage {
    /**
     * Keeps latest values in memory so we don't need to read them every time
     * we set or read the value.
     */
    private values;
    private watchers;
    constructor();
    get: <T>(key: string) => Promise<T | undefined>;
    set: <T>(key: string, setter: StorageSetterFunction<T>) => Promise<void>;
    delete: (key: string) => Promise<void>;
    watch: <T>(key: string, listener: StorageValueWatcher<T>) => (() => void);
    private notifyChange;
}

export { WebStorage };
