import { Storage, FrameContextManager } from '../types.js';
import '../../hooks/use-visibility-detection.js';

type XmtpFrameContext = {
    conversationTopic: string;
    participantAccountAddresses: `0x${string}`[];
    groupId?: Uint8Array;
    groupSecret?: Uint8Array;
};
declare const useXmtpFrameContext: ({ fallbackContext, storage, storageKey, }: {
    fallbackContext: XmtpFrameContext;
    storage?: Storage | undefined;
    storageKey?: string | undefined;
}) => FrameContextManager<XmtpFrameContext>;

export { type XmtpFrameContext, useXmtpFrameContext };
