import { XmtpFrameContext } from './use-xmtp-context.cjs';
import { FramePostPayload } from '@xmtp/frames-client';
import { Storage } from '../types.cjs';
import { p as SignerStateInstance } from '../../types-BvcGM4gO.cjs';
import '../../hooks/use-visibility-detection.cjs';
import 'frames.js';
import 'react';
import 'frames.js/frame-parsers';
import 'frames.js/types';

type XmtpSigner = {
    walletAddress: string;
    keys: Uint8Array;
};
type XmtpSignerInstance = SignerStateInstance<XmtpSigner, FramePostPayload, XmtpFrameContext>;
type XmtpIdentityOptions = {
    /**
     * @defaultValue WebStorage
     */
    storage?: Storage;
    /**
     * @defaultValue "xmtpSigner"
     */
    storageKey?: string;
};
declare function useXmtpIdentity({ storage, storageKey, }?: XmtpIdentityOptions): XmtpSignerInstance;

export { type XmtpSigner, useXmtpIdentity };
