import { NextRequest } from 'next/server';
import { ParseFramesWithReportsResult } from 'frames.js/frame-parsers';
import { GetFrameResult } from 'frames.js';

type GETResponse = ParseFramesWithReportsResult | GetFrameResult | {
    message: string;
};
/** Proxies fetching a frame through a backend to avoid CORS issues and preserve user IP privacy */
declare function GET(request: Request | NextRequest): Promise<Response>;

export { GET, type GETResponse };
