import { GetFrameResult } from 'frames.js';
import { ParseFramesWithReportsResult } from 'frames.js/frame-parsers';
import { JsonObject } from 'frames.js/types';
import { NextRequest } from 'next/server';

type POSTResponseError = {
    message: string;
};
type POSTResponseRedirect = {
    location: string;
};
type POSTTransactionResponse = JsonObject;
type POSTResponse = GetFrameResult | ParseFramesWithReportsResult | POSTResponseError | POSTResponseRedirect | JsonObject;
/** Proxies frame actions to avoid CORS issues and preserve user IP privacy */
declare function POST(req: Request | NextRequest): Promise<Response>;

export { POST, type POSTResponse, type POSTResponseError, type POSTResponseRedirect, type POSTTransactionResponse };
