import React from 'react';
import { BaseFrameUIProps } from './frame.base.cjs';
export { FrameUIComponents, FrameUITheme } from './frame.base.cjs';
import { FrameUIComponents } from './types.cjs';
import '../types-BvcGM4gO.cjs';
import 'frames.js';
import 'frames.js/frame-parsers';
import 'frames.js/types';
import '../unstable-types-CImdJW3Z.cjs';

declare module "react" {
    interface CSSProperties {
        "--frame-image-aspect-ratio"?: string;
    }
}
type StylingProps = {
    className?: string;
    style?: React.CSSProperties;
};
type FrameUIProps<TStylingProps extends Record<string, unknown>> = Omit<BaseFrameUIProps<TStylingProps>, "components"> & {
    /**
     * Components should be memoized to avoid re-rendering the entire UI
     */
    components?: Partial<FrameUIComponents<TStylingProps>>;
};
declare function FrameUI<TStylingProps extends Record<string, unknown> = StylingProps>(props: FrameUIProps<TStylingProps>): JSX.Element;

export { FrameUI };
